Skip to Content

ListEvents

GET
/webhooks/v1/projects/{project_id}/events

Path Parameters

project_id*project_id
Length1 <= length

Query Parameters

pagination.limit?limit

Maximum number of items to return.

Formatint32
Range1 <= value <= 100
Default25
pagination.offset?offset

Number of items to skip before collecting the result set.

Formatint32
Default0

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/webhooks.v1.ListEventsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "events": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/webhooks.v1.WebhookEvent",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "evt9aB8cD1x"
                ],
                "title": "id"
              },
              "type": {
                "type": "string",
                "examples": [
                  "image.ready"
                ],
                "title": "type"
              },
              "resource_id": {
                "type": "string",
                "examples": [
                  "LmNoPqR678"
                ],
                "title": "resource_id"
              },
              "data": {
                "title": "data",
                "$ref": "#/components/schemas/google.protobuf.Struct",
                "$ref-value": {
                  "type": "object",
                  "additionalProperties": {
                    "$ref": "#/components/schemas/google.protobuf.Value",
                    "$ref-value": {
                      "oneOf": [
                        {
                          "type": "null"
                        },
                        {
                          "type": "number"
                        },
                        {
                          "type": "string"
                        },
                        {
                          "type": "boolean"
                        },
                        {
                          "type": "array"
                        },
                        {
                          "type": "object",
                          "additionalProperties": true
                        }
                      ],
                      "description": "Any JSON value: `null`, number, string, boolean, array, or object."
                    }
                  },
                  "description": "A JSON object whose property values may be any JSON value."
                }
              },
              "created_at": {
                "examples": [
                  "2026-10-19T12:00:00Z"
                ],
                "title": "created_at",
                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                "$ref-value": {
                  "type": "string",
                  "examples": [
                    "2023-01-15T01:30:15.01Z",
                    "2024-12-25T12:00:00Z"
                  ],
                  "format": "date-time",
                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                }
              }
            },
            "title": "WebhookEvent",
            "additionalProperties": false,
            "description": "WebhookEvent is a recorded outbound notification. `data` is the exact\n object embedded in the delivered payload envelope."
          }
        },
        "title": "events"
      },
      "total": {
        "type": "string",
        "examples": [
          "42"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "title": "offset",
        "format": "int32"
      },
      "limit": {
        "type": "integer",
        "title": "limit",
        "format": "int32"
      }
    },
    "title": "ListEventsResponse",
    "additionalProperties": false
  }
}
defaultapplication/json

An unexpected error response.

type: unknown

{
  "$ref": "#/components/schemas/google.rpc.Status",
  "$ref-value": {
    "type": "object",
    "properties": {
      "code": {
        "type": "integer",
        "format": "int32",
        "description": "The status code, which should be an enum value of google.rpc.Code."
      },
      "message": {
        "type": "string",
        "description": "A developer-facing error message."
      },
      "details": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/google.protobuf.Any",
          "$ref-value": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string",
                "description": "A URL/resource name that uniquely identifies the type of the serialized message."
              }
            },
            "additionalProperties": true,
            "description": "Contains an arbitrary serialized message along with a @type that describes the type of the serialized message."
          }
        },
        "description": "A list of messages that carry the error details."
      }
    },
    "description": "The Status type defines a logical error model suitable for gRPC and REST APIs."
  }
}
curl -X GET 'https://api.rixl.com/webhooks/v1/projects/string/events'

Success

application/json

{
  "$ref": "#/components/schemas/webhooks.v1.ListEventsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "events": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/webhooks.v1.WebhookEvent",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "evt9aB8cD1x"
                ],
                "title": "id"
              },
              "type": {
                "type": "string",
                "examples": [
                  "image.ready"
                ],
                "title": "type"
              },
              "resource_id": {
                "type": "string",
                "examples": [
                  "LmNoPqR678"
                ],
                "title": "resource_id"
              },
              "data": {
                "title": "data",
                "$ref": "#/components/schemas/google.protobuf.Struct",
                "$ref-value": {
                  "type": "object",
                  "additionalProperties": {
                    "$ref": "#/components/schemas/google.protobuf.Value",
                    "$ref-value": {
                      "oneOf": [
                        {
                          "type": "null"
                        },
                        {
                          "type": "number"
                        },
                        {
                          "type": "string"
                        },
                        {
                          "type": "boolean"
                        },
                        {
                          "type": "array"
                        },
                        {
                          "type": "object",
                          "additionalProperties": true
                        }
                      ],
                      "description": "Any JSON value: `null`, number, string, boolean, array, or object."
                    }
                  },
                  "description": "A JSON object whose property values may be any JSON value."
                }
              },
              "created_at": {
                "examples": [
                  "2026-10-19T12:00:00Z"
                ],
                "title": "created_at",
                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                "$ref-value": {
                  "type": "string",
                  "examples": [
                    "2023-01-15T01:30:15.01Z",
                    "2024-12-25T12:00:00Z"
                  ],
                  "format": "date-time",
                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                }
              }
            },
            "title": "WebhookEvent",
            "additionalProperties": false,
            "description": "WebhookEvent is a recorded outbound notification. `data` is the exact\n object embedded in the delivered payload envelope."
          }
        },
        "title": "events"
      },
      "total": {
        "type": "string",
        "examples": [
          "42"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "title": "offset",
        "format": "int32"
      },
      "limit": {
        "type": "integer",
        "title": "limit",
        "format": "int32"
      }
    },
    "title": "ListEventsResponse",
    "additionalProperties": false
  }
}